Subject: [RFC PATCH 2/3] dma-mapping: clear dma_ops pointer also on ARM

From: [email-masked] (Christoph Hellwig)
Date: Fri, 14 Sep 2018 15:12:04 +0200

On Thu, Sep 13, 2018 at 05:17:15PM +0200, Wolfram Sang wrote:
> The generic fallback of arch_teardown_dma_ops() clears the dma_ops
> pointer but the ARM specific version does not. Rename the generic one,
> so it can be called from ARM specific one, too. This will ensure
> consistent behaviour.

Hmm.  I'd rather remove your new generic version entirely and move
the ops clearing into the two callers.